IP Intelligence
IP Intelligence: reputation
Cost: 1 core search.
POST
/
tools
/
ip-intelligence
/
reputation
IP Intelligence: reputation
curl --request POST \
--url https://api.osint.ly/tools/ip-intelligence/reputation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "1.1.1.1"
}
'import requests
url = "https://api.osint.ly/tools/ip-intelligence/reputation"
payload = { "ip": "1.1.1.1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '1.1.1.1'})
};
fetch('https://api.osint.ly/tools/ip-intelligence/reputation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/ip-intelligence/reputation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ip' => '1.1.1.1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/ip-intelligence/reputation"
payload := strings.NewReader("{\n \"ip\": \"1.1.1.1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/ip-intelligence/reputation")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ip\": \"1.1.1.1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/ip-intelligence/reputation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ip\": \"1.1.1.1\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"dnsbl": {
"checked": [
"zen.spamhaus.org",
"bl.spamcop.net",
"dnsbl.sorbs.net",
"psbl.surriel.com",
"b.barracudacentral.org",
"dnsbl-1.uceprotect.net",
"ix.dnsbl.manitu.net",
"all.s5h.net"
],
"ip": "1.1.1.1",
"isTor": false,
"listedIn": []
},
"otx": {
"isMalicious": false,
"reports": [],
"pulseCount": 0,
"reputation": 0,
"topPulses": []
},
"urlhaus": {
"blacklists": [],
"queryStatus": "no_results",
"urlCount": 0
}
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "reputation",
"query": {
"ip": "1.1.1.1"
},
"tool": "ip-intelligence"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Was this page helpful?
⌘I
IP Intelligence: reputation
curl --request POST \
--url https://api.osint.ly/tools/ip-intelligence/reputation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "1.1.1.1"
}
'import requests
url = "https://api.osint.ly/tools/ip-intelligence/reputation"
payload = { "ip": "1.1.1.1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '1.1.1.1'})
};
fetch('https://api.osint.ly/tools/ip-intelligence/reputation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/ip-intelligence/reputation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ip' => '1.1.1.1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/ip-intelligence/reputation"
payload := strings.NewReader("{\n \"ip\": \"1.1.1.1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/ip-intelligence/reputation")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ip\": \"1.1.1.1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/ip-intelligence/reputation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ip\": \"1.1.1.1\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"dnsbl": {
"checked": [
"zen.spamhaus.org",
"bl.spamcop.net",
"dnsbl.sorbs.net",
"psbl.surriel.com",
"b.barracudacentral.org",
"dnsbl-1.uceprotect.net",
"ix.dnsbl.manitu.net",
"all.s5h.net"
],
"ip": "1.1.1.1",
"isTor": false,
"listedIn": []
},
"otx": {
"isMalicious": false,
"reports": [],
"pulseCount": 0,
"reputation": 0,
"topPulses": []
},
"urlhaus": {
"blacklists": [],
"queryStatus": "no_results",
"urlCount": 0
}
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "reputation",
"query": {
"ip": "1.1.1.1"
},
"tool": "ip-intelligence"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}